KDE 4.3 PyKDE API Reference

- KDE's Python API

# AbstractDataPluginItem Class Reference

`from PyKDE4.marble import *`

Inherits: QObject,Marble.GeoGraphicsItem → Marble.MarbleGraphicsItem
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Methods

| __init__ (self, QObject parent=0)
QAction | action (self)
| addDownloadedFile (self, QString url, QString type)
float | addedAngularResolution (self)
QString | id (self)
bool | initialized (self)
QString | itemType (self)
bool | operator < (self, Marble.AbstractDataPluginItem other)
| paint (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos, GeoSceneLayer layer=0)
| setAddedAngularResolution (self, float resolution)
| setId (self, QString id)
| setTarget (self, QString target)
QString | target (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

QAction action | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

addDownloadedFile | ( | self, |
|  | QString | url,
|  | QString | type
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float addedAngularResolution | ( |  | self ) |

Returning the angular resolution of the viewport when the item was added to it the last time.

QString id | ( |  | self ) |

bool initialized | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QString itemType | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

bool operator < | ( | self, |
|  | Marble.AbstractDataPluginItem | other
| ) |  |  |

paint | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos,
|  | GeoSceneLayer | layer=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setAddedAngularResolution | ( | self, |
|  | float | resolution
| ) |  |  |

setId | ( | self, |
|  | QString | id
| ) |  |  |

setTarget | ( | self, |
|  | QString | target
| ) |  |  |

QString target | ( |  | self ) |